DROP TABLE IF EXISTS `#__hobosm`;
DROP TABLE IF EXISTS `#__hobosm_license`;
DROP TABLE IF EXISTS `#__hobosm_license_active`;
CREATE TABLE `#__hobosm` (
	`id`       INT(11)     NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10)     NOT NULL DEFAULT '0',
	`created`  DATETIME    NOT NULL DEFAULT '0000-00-00 00:00:00',
	`created_by`  INT(10) UNSIGNED NOT NULL DEFAULT '0',
	`greeting` VARCHAR(255) NOT NULL,
	`name` VARCHAR(50) NOT NULL,
	`published` tinyint(4) NOT NULL,
	`catid`	    int(11)    NOT NULL DEFAULT '0',
	`params`   VARCHAR(1024) NOT NULL DEFAULT '',
	`image`   VARCHAR(1024) NOT NULL DEFAULT '',
	`latitude` DECIMAL(9,7) NOT NULL DEFAULT 0.0,
	`longitude` DECIMAL(10,7) NOT NULL DEFAULT 0.0,
	`zoom`	    int(3)    NOT NULL DEFAULT '0',
	`scale` DECIMAL(2,1) NOT NULL DEFAULT 0.0,
	`position_horizontal`	    int(3)    NOT NULL DEFAULT '0',
	`position_vertical`	    int(3)    NOT NULL DEFAULT '0',
	`width`	    int(3)    NOT NULL DEFAULT '0',
	PRIMARY KEY (`id`)
)
	ENGINE =MyISAM
	AUTO_INCREMENT =0
	DEFAULT CHARSET =utf8;


CREATE TABLE `#__hobosm_license` (
	`id`       INT(11)     NOT NULL AUTO_INCREMENT,
	`email`   VARCHAR(1024) NOT NULL DEFAULT '',
	`token`   VARCHAR(1024) NOT NULL DEFAULT '',
	PRIMARY KEY (`id`)
)
	ENGINE =MyISAM
	AUTO_INCREMENT =0
	DEFAULT CHARSET =utf8;

	CREATE TABLE `#__hobosm_license_active` (
	`id`       INT(11)     NOT NULL AUTO_INCREMENT,
	`email`   VARCHAR(1024) NOT NULL DEFAULT '',
	`token`   VARCHAR(1024) NOT NULL DEFAULT '',
	PRIMARY KEY (`id`)
)
	ENGINE =MyISAM
	AUTO_INCREMENT =0
	DEFAULT CHARSET =utf8;