<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_HOBOSM
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted Access');

use Joomla\Registry\Registry;

JHtml::_('formbehavior.chosen', 'select');

$license_id = $this->model->getLicense();
$license_expire = HobOsmHelper::infos_licence($license_id->token,$license_id->email);
$time = strtotime(str_replace('/', '-', $license_expire));
$now = strtotime("now");
?>
<!---->
<!--<div id="j-main-container" class="span10">-->
<!---->
<!--    <div class="hero-unit">-->
<!--        <div class="row-fluid">-->
<!--            <div class="span3">-->
<!--                <img src="../media/com_hobosm/images/logo_HOB.png" alt="">-->
<!--            </div>-->
<!--            <div class="span7 span-offset-2">-->
<!--                <h1>Hob Open Street Map</h1>-->
<!--                <p style="padding: 10px 0 10px 0;">-->
<!--                <a href="https://www.hob-france.com/">https://www.hob-france.com/</a>-->
<!--                </p>-->
<!--                <p style="padding: 10px 0 10px 0;">-->
<!--                    <a class="btn btn-primary btn-large">-->
<!--                        --><?php //echo JText::_('COM_HOBOSM_DASHBOARD_LEARN'); ?>
<!--                    </a>-->
<!--                </p>-->
<!--                <div class="row-fluid">-->
<!--                    <a class="btn btn-success btn-large" href="index.php?option=com_hobosm&view=hobosms">-->
<!--                        <span class="icon-location"style="font-size:24px; padding-bottom: 10px;"> </span><br>-->
<!--                        --><?php //echo JText::_('COM_HOBOSM_DASHBOARD_PLACES'); ?>
<!--                    </a>-->
<!--                    <a class="btn btn-info btn-large" href="index.php?option=com_categories&view=categories&extension=com_hobosm">-->
<!--                        <span class="icon-folder-open" style="font-size:24px; padding-bottom: 10px;"></span><br>-->
<!--                        --><?php //echo JText::_('COM_HOBOSM_DASHBOARD_CATEGORIES'); ?>
<!--                    </a>-->
<!--                    <a class="btn btn-warning btn-large" href="index.php?option=com_modules&filter[module]=mod_hobosm">-->
<!--                        <span class="icon-pie" style="font-size:24px; padding-bottom: 10px;"></span><br>-->
<!--                        --><?php //echo JText::_('COM_HOBOSM_DASHBOARD_MODULE'); ?>
<!--                    </a>-->
<!--                    <a class="btn btn-warning btn-large" href="index.php?option=com_plugins&filter[plugin]=hob">-->
<!--                        <span class="icon-power-cord" style="font-size:24px; padding-bottom: 10px;"></span><br>-->
<!--                        --><?php //echo JText::_('COM_HOBOSM_DASHBOARD_PLUGIN'); ?>
<!--                    </a>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</div>-->


<div  id="j-sidebar-container" class="span2 custom-sidebar">
	<?php echo JHtmlSidebar::render(); ?>
</div>
<div id="j-main-container" class="span10">
    <div class="span12">
        <!--        SHORTCUT LINKS ROW-->
        <div class="row-fluid">
            <!--            PRODUCTS-->
            <div class="span3">
                <div class="panel panel-success">
                    <div class="panel-heading">
                        <div class="row-fluid">
                            <div class="span4">
                                <i class="fa fa-map-marker fa-5x"></i>
                            </div>
                            <div class="span8 text-right">
                                <p class="announcement-heading"><?php echo $this->product; ?></p>
                                <p class="announcement-text"><?php echo JText::_('COM_HOBOSM_DASHBOARD_PLACES'); ?></p>
                            </div>
                        </div>
                    </div>
                    <a href="<?php echo JRoute::_('index.php?option=com_hobosm&view=hobosms');?>">
                        <div class="panel-footer announcement-bottom">
                            <div class="row-fluid">
                                <div class="span6">
									<?php echo JText::_('COM_HOBOSM_CHECK');?>
                                </div>
                                <div class="span6 text-right">
                                    <i class="fa fa-arrow-circle-right"></i>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <!--            USERS-->
            <div class="span3">
                <div class="panel panel-info">
                    <div class="panel-heading">
                        <div class="row-fluid">
                            <div class="span4">
                                <i class="fa fa-folder-open fa-5x"></i>
                            </div>
                            <div class="span8 text-right">
                                <p class="announcement-heading"><?php echo $this->client; ?></p>
                                <p class="announcement-text"><?php echo JText::_('COM_HOBOSM_DASHBOARD_CATEGORIES'); ?></p>
                            </div>
                        </div>
                    </div>
                    <a href="<?php echo JRoute::_('index.php?option=com_categories&view=categories&extension=com_hobosm');?>">
                        <div class="panel-footer announcement-bottom">
                            <div class="row-fluid">
                                <div class="span6">
									<?php echo JText::_('COM_HOBOSM_CHECK');?>
                                </div>
                                <div class="span6 text-right">
                                    <i class="fa fa-arrow-circle-right"></i>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <!--            INVOICE-->
            <div class="span3">
                <div class="panel <?php echo $now <= $time ? 'panel-success':'panel-danger'; ?>">
                    <div class="panel-heading">
                        <div class="row-fluid">
                            <div class="span4">
                                <i class="fa fa-file-text-o fa-5x"></i>
                            </div>
                            <div class="span8 text-right">
                                <p class="announcement-heading"><?php echo $now <= $time? date('d',$time - $now).' '. JText::_('COM_HOBOSM_DAYS').' '. JText::_('COM_HOBOSM_LEFT'):''; ?></p>
                                <p class="announcement-text"><?php echo JText::_('COM_HOBOSM_SUBMENU_LICENSE'); ?></p>
                            </div>
                        </div>
                    </div>
                    <a href="<?php echo JRoute::_('index.php?option=com_hobosm&view=license');?>">
                        <div class="panel-footer announcement-bottom">
                            <div class="row-fluid">
                                <div class="span6">
									<?php echo JText::_('COM_HOBOSM_CHECK');?>
                                </div>
                                <div class="span6 text-right">
                                    <i class="fa fa-arrow-circle-right"></i>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>


        </div>
        <div style="margin-top: 20px;" class="row-fluid">
            <a style="text-align: center;" class="button-info"
               href="index.php?option=com_modules&filter[module]=mod_hobosm">
                <i class="fa fa-pie-chart"> </i><br>
			    <?php echo JText::_('COM_HOBOSM_DASHBOARD_MODULE'); ?>
            </a>
            <a style="text-align: center;" class="button-info" href="index.php?option=com_plugins&filter[plugin]=hob">
                <span class="fa fa-plug"> </span><br>
			    <?php echo JText::_('COM_HOBOSM_DASHBOARD_PLUGIN'); ?>
            </a>
        </div>

    </div>