<?php

defined('_JEXEC') or die;


$doc = JFactory::getDocument();
$app = JFactory::getApplication();
// everything's dependent upon JQuery
JHtml::_('jquery.framework');
$doc->addScript("https://cdn.polyfill.io/v2/polyfill.min.js?features=requestAnimationFrame,Element.prototype.classList,URL");
// we need the Openlayers JS and CSS libraries
$doc->addScript("https://openlayers.org/en/v4.6.5/build/ol.js");
$doc->addStyleSheet("https://openlayers.org/en/v4.6.5/css/ol.css");

// ... and our own JS and CSS
if ($app->isSite()) {
    $doc->addScript(JURI::root() . "media/com_hobosm/js/openstreetmap_site.js");
    $doc->addStyleSheet(JURI::root() . "media/com_hobosm/css/openstreetmap.css");
    $doc->addScriptDeclaration('var base = \''.JURI::base().'\'');
}
// Include the syndicate functions only once
require_once dirname(__FILE__) . '/helper.php';
$license = ModHobOsmHelper::getLicense();
$service = ModHobOsmHelper::getServices($params);
$setValidation = ModHobOsmHelper::infos_licence($license->token,$license->email);
$doc->addScriptOptions('val',$setValidation);
$doc->addScriptOptions('service',$service);
$data = ModHobOsmHelper::getData($params);
$doc->addScriptOptions('module_params', $data);
$data_style = ModHobOsmHelper::getStyle($params);
//joomla let to look at the template file
require JModuleHelper::getLayoutPath('mod_hobosm');